From 580af5f03d313cc55f5c8cc00553c39be43ca711 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 4 Nov 2009 14:03:41 +0100
Subject: [PATCH] Add explicit -t 2 option

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 atlas.spec |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/atlas.spec b/atlas.spec
index d75a0ff..da0b9b3 100644
--- a/atlas.spec
+++ b/atlas.spec
@@ -1,11 +1,12 @@
 %define enable_native_atlas 0
 %ifarch %{arm}
 %define arch_option -A 33
+%define threads_option -t 2
 %endif
 
 Name:           atlas
 Version:        3.8.3
-Release:        10%{?dist}.fa1
+Release:        10%{?dist}.fa2
 Summary:        Automatically Tuned Linear Algebra Software
 
 Group:          System Environment/Libraries
@@ -164,7 +165,7 @@ for type in %{types}; do
 	fi
 	mkdir -p %{_arch}_${type}
 	pushd %{_arch}_${type}
-	../configure -b %{mode} %{?arch_option} -D c -DWALL -Fa alg '-g -Wa,--noexecstack -fPIC'\
+	../configure -b %{mode} %{?threads_option} %{?arch_option} -D c -DWALL -Fa alg '-g -Wa,--noexecstack -fPIC'\
 	--prefix=%{buildroot}%{_prefix}			\
 	--incdir=%{buildroot}%{_includedir}		\
 	--libdir=%{buildroot}%{_libdir}/${libname}	\
@@ -327,6 +328,9 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Wed Nov 04 2009 Jitesh Shah <jiteshs@marvell.com> - 3.8.3-10.fa1
+- Pass explicit -t 2 option
+
 * Tue Oct 13 2009 Jitesh shah <jiteshs@marvell.com> - 3.8.3-10.fa1
 - ARM gcc doesn't take -m32 option. So, add a special condition for ARM
 
-- 
1.5.5.6

